﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_BD_ACCOUNTTABLEREF_L', 'T_BD_ACCOUNTTABLEREF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCOUNTTABLEREF_L') CREATE INDEX IDX_BD_ACCOUNTTABLEREF_L ON T_BD_ACCOUNTTABLEREF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_BD_ACCOUNTTABLEREFENTRY', 'T_BD_ACCOUNTTABLEREFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCTTABLEREFENTRY') CREATE INDEX IDX_BD_ACCTTABLEREFENTRY ON T_BD_ACCOUNTTABLEREFENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_BD_ASSGRP_DEFVAL', 'T_BD_ASSGRP_DEFVAL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ASSGRP_DEFVAL') CREATE INDEX IDX_BD_ASSGRP_DEFVAL ON T_BD_ASSGRP_DEFVAL ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BD_ASSISTTYPE_REGINFO', 'T_BD_ASSISTTYPE_REGINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ASSISTTYPE_REGINFO') CREATE INDEX IDX_BD_ASSISTTYPE_REGINFO ON T_BD_ASSISTTYPE_REGINFO ( FMETADATA );


 EXEC p_AlterPK 'PK_T_BD_CLOSECHECKITEM', 'T_BD_CLOSECHECKITEM', 'FID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTCURRENCY', 'T_BD_ACCOUNTCURRENCY', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_BOOKRELATIONSHIP', 'T_BD_BOOKRELATIONSHIP', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ORGRELATIONSHIP', 'T_BD_ORGRELATIONSHIP', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ORGVIEWRELATIONSHIP_L', 'T_BD_ORGVIEWRELATIONSHIP_L', 'FPKID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTEXC', 'T_BD_ACCOUNTEXC', 'FDATAID,FUSEORGID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTSYS_L', 'T_BD_ACCOUNTSYS_L', 'FPKID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTUSEREG', 'T_BD_ACCOUNTUSEREG', 'FUSEORGID,FDATAID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTINGSYS_BIZORG', 'T_BD_ACCOUNTINGSYS_BIZORG', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTINGSYS_VIEW', 'T_BD_ACCOUNTINGSYS_VIEW', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTASSTACTITEM', 'T_BD_ACCOUNTASSTACTITEM', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ORGVIEWRELATIONSHIP', 'T_BD_ORGVIEWRELATIONSHIP', 'FENTRYID', '1';
 EXEC p_AlterPK 'PK_T_BD_ACCOUNTSYS', 'T_BD_ACCOUNTSYS', 'FID', '1';
 EXEC P_ALTERPK 'PK_T_BD_ACCOUNTUPRECORD', 'T_BD_ACCOUNTUPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCOUNTUPRECORD') CREATE INDEX IDX_BD_ACCOUNTUPRECORD ON T_BD_ACCOUNTUPRECORD ( FMETADATA ,FREACCOUNTID ,FFIELDTYPE ,FRECORDSOURCE );


 EXEC P_ALTERPK 'PK_T_BD_ACCT_REGINFO', 'T_BD_ACCT_REGINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCT_REGINFO') CREATE INDEX IDX_BD_ACCT_REGINFO ON T_BD_ACCT_REGINFO ( FMETADATA ,FFIELDTYPE ,FISMUTIBASEDATA );


 EXEC P_ALTERPK 'PK_T_BD_BEFASSTTYPE', 'T_BD_BEFASSTTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_BEFASSTTYPE') CREATE INDEX IDX_BD_BEFASSTTYPE ON T_BD_BEFASSTTYPE ( FID );


 EXEC P_ALTERPK 'PK_T_BD_REFOP_REPORTENTRY', 'T_BD_REFOP_REPORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_REFOP_REPORTENTRY') CREATE INDEX IDX_BD_REFOP_REPORTENTRY ON T_BD_REFOP_REPORTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_BD_SERVICE_REGISTER', 'T_BD_SERVICE_REGISTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_SERVICE_REGISTER') CREATE INDEX IDX_BD_SERVICE_REGISTER ON T_BD_SERVICE_REGISTER ( FBIZCLOUD ,FBIZAPP );


 EXEC P_ALTERPK 'PK_T_BD_ACCTTYPEUPRECORD', 'T_BD_ACCTTYPEUPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACT_MEDAORG') CREATE INDEX IDX_BD_ACT_MEDAORG ON T_BD_ACCTTYPEUPRECORD ( FMETADATA ,FDATAID ,FORGID );


 EXEC P_ALTERPK 'PK_T_BD_ACCOUNTTABLEREF', 'T_BD_ACCOUNTTABLEREF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCOUNTTABLEREF') CREATE INDEX IDX_BD_ACCOUNTTABLEREF ON T_BD_ACCOUNTTABLEREF ( FORGID );


 EXEC P_ALTERPK 'PK_T_BD_ACCTTABREF_RECORD', 'T_BD_ACCTTABREF_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_ACCTTABREF_RECORD') CREATE INDEX IDX_BD_ACCTTABREF_RECORD ON T_BD_ACCTTABREF_RECORD ( FORGID );


 EXEC P_ALTERPK 'PK_T_BD_REFOP_REPORT', 'T_BD_REFOP_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_REFOP_REPORT') CREATE INDEX IDX_BD_REFOP_REPORT ON T_BD_REFOP_REPORT ( FORGID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_constraint.sql **/
