﻿/**Begin D:\PDM_UPGRADE\PDM1\FIBD_table.sql **/
/**记录日志表头基本信息 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTOPLOG') 
 CREATE TABLE T_BD_ACCOUNTOPLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FOPUSERID BIGINT DEFAULT 0 NOT NULL,
FREQUESTID VARCHAR(32) DEFAULT ' ' NOT NULL,
FOPTYPE VARCHAR(32) DEFAULT ' ' NOT NULL,
FOPTIME DATETIME,
FOPACCOUNTIDS NCLOB,
FOLDACCOUNT NCLOB,
FNEWACCOUNT NCLOB,
FOPLOG VARCHAR(1000) DEFAULT ' ',
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL
);

/**记录分录行日志 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTOPLOGENTRY')
 CREATE TABLE T_BD_ACCOUNTOPLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOG VARCHAR(1000) DEFAULT ' ',
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

/**记录受影响的组织 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOPLOGORG')
 CREATE TABLE T_BD_ACCOPLOGORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FIBD_table.sql **/
