﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FA_BILLPARAM') 
 CREATE TABLE T_FA_BILLPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FASSETBOOKID BIGINT DEFAULT 0 NOT NULL,
FDEPREUSEID BIGINT DEFAULT 0 NOT NULL,
FENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FSYSPRE CHAR(1) DEFAULT '0' NOT NULL
);

EXEC P_ALTERPK 'PK_T_FA_BILLPARAM', 'T_FA_BILLPARAM', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_FA_BILLPARAM' AND KSQL_INDNAME = 'IDX_FA_BILLPARAM') CREATE INDEX IDX_FA_BILLPARAM ON T_FA_BILLPARAM ( FENTITYID ,FPARAM ,FORGID );
