﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEMBILL', 'T_BD_BUSINESSITEMBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIB_FBILLTYPE') CREATE INDEX IDX_BDBUS_BIB_FBILLTYPE ON T_BD_BUSINESSITEMBILL ( FBILLTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIB_FBI') CREATE INDEX IDX_BDBUS_BIB_FBI ON T_BD_BUSINESSITEMBILL ( FBUSINESSITEMID );


 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEMBILL_L', 'T_BD_BUSINESSITEMBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIB_FIDFLOC') CREATE INDEX IDX_BDBUS_BIB_FIDFLOC ON T_BD_BUSINESSITEMBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEMRELDEPT', 'T_BD_BUSINESSITEMRELDEPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIRD_FBIFORG') CREATE INDEX IDX_BDBUS_BIRD_FBIFORG ON T_BD_BUSINESSITEMRELDEPT ( FBUSINESSTYPEID ,FRELORGID );


 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEMRELDEPT_L', 'T_BD_BUSINESSITEMRELDEPT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIRDL_FIDFLOC') CREATE INDEX IDX_BDBUS_BIRDL_FIDFLOC ON T_BD_BUSINESSITEMRELDEPT_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_BD_BUSINESSITEMPARAM', 'T_BD_BUSINESSITEMPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIP_FNUM') CREATE INDEX IDX_BDBUS_BIP_FNUM ON T_BD_BUSINESSITEMPARAM ( FNUMBER );


 EXEC P_ALTERPK 'PK_BD_BUSINESSITEMPARAM_L', 'T_BD_BUSINESSITEMPARAM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIP_FIDFLOC') CREATE INDEX IDX_BDBUS_BIP_FIDFLOC ON T_BD_BUSINESSITEMPARAM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEM_L', 'T_BD_BUSINESSITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BI_FIDFLOC') CREATE INDEX IDX_BDBUS_BI_FIDFLOC ON T_BD_BUSINESSITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BD_BUSINESSITEMRELPARAM', 'T_BD_BUSINESSITEMRELPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIRP_FBI') CREATE INDEX IDX_BDBUS_BIRP_FBI ON T_BD_BUSINESSITEMRELPARAM ( FBUSINESSITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BIRP_FPARAM') CREATE INDEX IDX_BDBUS_BIRP_FPARAM ON T_BD_BUSINESSITEMRELPARAM ( FBUSINESSITEMPARAMID );


 EXEC P_ALTERPK 'PK_T_BD_BUSINESSITEM', 'T_BD_BUSINESSITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDBUS_BI_FNUM') CREATE INDEX IDX_BDBUS_BI_FNUM ON T_BD_BUSINESSITEM ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_constraint.sql **/
