﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTTABLEREF_L') 
 CREATE TABLE T_BD_ACCOUNTTABLEREF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTTABLEREFENTRY') 
 CREATE TABLE T_BD_ACCOUNTTABLEREFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOLDACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FNEWACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FISMAPPING CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ASSGRP_DEFVAL') 
 CREATE TABLE T_BD_ASSGRP_DEFVAL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FASSISTTYPEID BIGINT DEFAULT 0 NOT NULL,
FMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FVALUE VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ASSISTTYPE_REGINFO') 
 CREATE TABLE T_BD_ASSISTTYPE_REGINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FMETADATA VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FACCOUNTFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBENTRYASSGRP VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSGRPFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FROWIDFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FPLUGINNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTUPRECORD') 
 CREATE TABLE T_BD_ACCOUNTUPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FMETADATA NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FDATAENTRYID BIGINT DEFAULT 0 NOT NULL,
FFIELDNAME NVARCHAR(36) DEFAULT ' ' NOT NULL,
FREACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAFACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FENTRYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVERSIONDATE DATETIME,
FRECORDSOURCE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCT_REGINFO') 
 CREATE TABLE T_BD_ACCT_REGINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FMETADATA NVARCHAR(36) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUTIBASEDATA CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BEFASSTTYPE') 
 CREATE TABLE T_BD_BEFASSTTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_REFOP_REPORTENTRY') 
 CREATE TABLE T_BD_REFOP_REPORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCHILDORGID BIGINT DEFAULT 0 NOT NULL,
FRESULT CHAR(1) DEFAULT '0' NOT NULL,
FERRORMSG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SERVICE_REGISTER') 
 CREATE TABLE T_BD_SERVICE_REGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZCLOUD VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZAPP VARCHAR(10) DEFAULT ' ' NOT NULL,
FSERVICE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCTTYPEUPRECORD') 
 CREATE TABLE T_BD_ACCTTYPEUPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FMETADATA NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDATAENTRYID BIGINT DEFAULT 0 NOT NULL,
FFIELDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBEFASSTVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB,
FBEFASSTVALUE_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCOUNTTABLEREF') 
 CREATE TABLE T_BD_ACCOUNTTABLEREF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '6' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDACTTABLEID BIGINT DEFAULT 0 NOT NULL,
FNEWACTTABLEID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ACCTTABREF_RECORD') 
 CREATE TABLE T_BD_ACCTTABREF_RECORD (
FORGID BIGINT DEFAULT 0 NOT NULL,
FOLDACCTTABID BIGINT DEFAULT 0 NOT NULL,
FNEWACCTTABID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTREFID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FENABLESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_REFOP_REPORT') 
 CREATE TABLE T_BD_REFOP_REPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FACCTTABREFID BIGINT DEFAULT 0 NOT NULL,
FOP CHAR(1) DEFAULT '1' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FOPDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FIBD_table.sql **/
